Check BIN for Rupay Card API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Check BIN for Rupay Card API is used to check the BIN (Bank Identification Number) for a RuPay card involves verifying the first six digits of the card number. This BIN helps identify the issuing bank, card type (e.g., debit, credit, prepaid), card level (e.g., classic, platinum), and the country of issuance.

Endpoint

Productionhttps://pginstance/authentication/api/v1/generateOTP
Testhttps://areionsbi.pc.enstage-sas.com/authentication/api/v1/checkbin
Sample request
curl -X POST https://areionsbi.pc.enstage-sas.com/authentication/api/v1/checkbin \
-H "Content-Type: application/json" \
-H "pgInstanceId: 720200" \
-d '{
  "header": {
       "pgInstanceId":"72702415",
      "x-api-key": "AF165FBD-4E85-4c66-BEB1C54DC16CD48B"

  },
  "body": {
    "pgInstanceId": "72702415",
    "cardBin": "607XXX987"
  }
}'
Response parameters
Parameter M/O/C Type & Size Description Example

status

M

N(5)

Transaction Status

  • success
  • failed

errorcode

M

N(1-4)

Error Code

0 = No Error. For the complete list of error codes, refer to PG Error Codes.

qualifiedInternetpin

M

AN(4 or

5)

Identifies the BIN eligibility for RuPay eCommerce transactions.

True represents BIN is eligible.

True / False

authenticationNotRequired

M

AN(4 or

5)

If BIN is eligible for

eCommerce transaction and if this field is True, then acquirer can call the bepg_Authorize API call directly without the need for authentication. This will be set to true for international card brands supported on RuPay rails.

True/False

availableAuthMode

C

AN(2-30)

Will not be available if authenticationNoRequired is true.Identifies the available Authentication mode for this BIN.If the BIN supports multiple authentication modes, the same will be sent as a comma separated values.

Comma separated values of authentication modes. e.g.,01 (OR) 02 (OR)01,02, where:

  • 01: Redirect
  • 02: S2SOTP

additionalProductsSup ported

C

AN(2-30)

Will not be available if authenticationNotRequired is true.Identifies the additional products supported by the issuer for the card BIN. If the BIN supports multiple products, then the same will be sent as a comma separated values.

Comma separated values of products supported. e.g.,01 (OR) 02 (OR) 03 (OR) 01,02 01,03,04, where:

  • 01 – EMI
  • 02 – SI
  • 03 – SFA
  • 04 - MOTO

errormsg

C

AN(0-(1024)

Description for the error code.

For the complete list of error codes and messages, refer to PG Error Codes .

Sample response
{
      "status":"success",
      "errorcode":0,
      "errormsg":"",
      "qualifiedInternetpin":"TRUE",
      "authenticationNotRequired":"FALSE",
      "availableAuthMode":"02",
      "additionalProductsSupported":"01,03"
   }

Request parameters

Body Params
string
required

This parameter must contain first 9 digits of a valid card. The Bank Identification Number, BIN, of the card the consumer entered at time of checkout on the merchant site.

integer

This parameter must include the PG instance ID.

Headers
integer
required
string
required

This parameter must contain the API key provided by Wibmo.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!